# ReflectionClass::newInstance

(PHP 5, PHP 7)

ReflectionClass::newInstance — Creates a new class instance from given arguments

### Description

public ReflectionClass::newInstance ([ mixed `$...` ] ) : object

Creates a new instance of the class. The given arguments are passed to the class constructor.

### Parameters

`...`

  Accepts a variable number of arguments which are passed to the class constructor, much like call_user_func().

### Return Values

### Errors/Exceptions

A ReflectionException if the class constructor is not public.

A ReflectionException if the class does not have a constructor and the `...` parameter contains one or more parameters.

### See Also

- ReflectionClass::newInstanceArgs() - Creates a new class instance from given arguments
- ReflectionClass::newInstanceWithoutConstructor() - Creates a new class instance without invoking the constructor